# Uses of Class
org.apache.lucene.queries.function.FunctionValues.ValueFiller

Packages that use FunctionValues.ValueFiller
Package
Description
org.apache.lucene.queries.function
Queries that compute score based upon a function.
org.apache.lucene.queries.function.docvalues
FunctionValues for different data types.
org.apache.lucene.queries.function.valuesource
A variety of functions to use with FunctionQuery.

- ## Uses of FunctionValues.ValueFiller in org.apache.lucene.queries.function

  Methods in org.apache.lucene.queries.function that return FunctionValues.ValueFiller
  Modifier and Type
  Method
  Description
  `FunctionValues.ValueFiller`
  FunctionValues.`getValueFiller()`

- ## Uses of FunctionValues.ValueFiller in org.apache.lucene.queries.function.docvalues

  Methods in org.apache.lucene.queries.function.docvalues that return FunctionValues.ValueFiller
  Modifier and Type
  Method
  Description
  `FunctionValues.ValueFiller`
  BoolDocValues.`getValueFiller()`
  `FunctionValues.ValueFiller`
  DocTermsIndexDocValues.`getValueFiller()`
  `FunctionValues.ValueFiller`
  DoubleDocValues.`getValueFiller()`
  `FunctionValues.ValueFiller`
  FloatDocValues.`getValueFiller()`
  `FunctionValues.ValueFiller`
  IntDocValues.`getValueFiller()`
  `FunctionValues.ValueFiller`
  LongDocValues.`getValueFiller()`
  `FunctionValues.ValueFiller`
  StrDocValues.`getValueFiller()`

- ## Uses of FunctionValues.ValueFiller in org.apache.lucene.queries.function.valuesource

  Methods in org.apache.lucene.queries.function.valuesource that return FunctionValues.ValueFiller
  Modifier and Type
  Method
  Description
  `FunctionValues.ValueFiller`
  MultiFunction.Values.`getValueFiller()`